import type {Song} from "$lib/opensubsonic";

export function displayTime(rawSeconds: number) {
    const intSeconds = Math.round(rawSeconds);
    const seconds = intSeconds % 60;
    const minutes = Math.floor((intSeconds / 60)) % 60;
    const hours = Math.floor((intSeconds / 3600));

    if (hours == 0) {
        return `${minutes.toString()}:${seconds.toString().padStart(2, 0)}`
    }
    else {
        return `${hours}:${minutes.toString().padStart(2, 0)}:${seconds.toString().padStart(2, 0)}`
    }
}

export const shuffle = (array: Array<Song>) => {
    for (let i: number = array.length - 1; i > 0; i--) {
        const j: number = Math.floor(Math.random() * (i + 1));
        [array[i], array[j]] = [array[j], array[i]];
    }
    return array;
};